// pages/home/index.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    height: app.globalData.height * 2 + 25,
    windowHeight: app.globalData.windowHeight,
    navbarData: {
      name: '新闻'
    },
    currentTab: 0,
    // 國内新聞
    oneList: [],
    twoList: []
  },
  // 禁止左右滑动
  stopTab: function (e) {
    return false
  },
  //点击切换
  clickTab: function (e) {
    var that = this;
    if (this.data.currentTab === e.target.dataset.current) {
      return false;
    } else {
      that.setData({
        currentTab: e.target.dataset.current
      })
    }
  },
  detail: function (data) {
    wx.navigateTo({
      url: `/pages/news/detail?id=${data.detail.id}`
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.request({
      url: `${app.globalData.publicUrl}/api/st/system/news`,
      method: "get",
      header: { 'x-tenant': app.globalData.tenant },
      data: { "type": '国内新闻' },
      success: res => {
        this.setData({ oneList: res.data.data })
      },
      error: err => {
        wx.showToast({
          title: err.msg,
          icon: 'error'
        })
      }
    })
    wx.request({
      url: `${app.globalData.publicUrl}/api/st/system/news`,
      method: "get",
      header: { 'x-tenant': app.globalData.tenant },
      data: { "type": '健康资讯' },
      success: res => {
        this.setData({ twoList: res.data.data })
      },
      error: err => {
        wx.showToast({
          title: err.msg,
          icon: 'error'
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    if (typeof this.getTabBar === 'function' &&
      this.getTabBar()) {
      this.getTabBar().setData({
        selected: 2
      })
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})